Bug 662750 - RFE: Add python26-sphinx package.
Summary: RFE: Add python26-sphinx package.
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-sphinx
Version: el5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 662743 662755
Blocks: 662758
TreeView+ depends on / blocked
 
Reported: 2010-12-13 19:21 UTC by Steve Traylen
Modified: 2011-09-10 21:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-15 20:35:48 UTC


Attachments (Terms of Use)

Description Steve Traylen 2010-12-13 19:21:24 UTC
I'm hoping to see a python26-sphinx package appear in EPEL5.
It's currently not possible due to missing dependencies but 
when they are complete I'll try to come back with some patches.

Steve.

Comment 1 Michel Alexandre Salim 2010-12-18 20:24:45 UTC
Hi Steve,

Are you a Fedora packager? We could use the multi-Python template so the same spec builds for both the default system Python as well as Python 2.6 -- it's normally used to target Python 3, but it should work in this case as well -- but it'd be nice if someone who actively use it can co-maintain the EL5 branch.

Comment 2 Steve Traylen 2010-12-22 06:35:05 UTC
Hi Michel,
  Yes the multi-python from the same package is definitely
  an option, as soon as some of the blocking bugs make some
  progress I'll try to provide a suitable .spec file.

Steve.

Comment 3 Toshio Ernie Kuratomi 2011-01-18 05:04:44 UTC
I'd much rather see python26 packages in separate packages from the python-default packages.  Although there's many reasons for this, the one that is the most compelling for me is that it's an opportunity to ship a later release than what's in the default.  For instance, the python26-sphinx package could be based on sphinx-1.0.x if it's a separate package.

Comment 4 Toshio Ernie Kuratomi 2011-07-15 20:35:48 UTC
I'm going to close this bug.  If someone is interested, we'd love to have a separate package for this that uses a more recent sphinx.

Comment 5 Michel Alexandre Salim 2011-09-10 21:34:06 UTC
Just a note: there is a python-sphinx10 package on EPEL5 and EPEL6, so a python26-sphinx package can be based on python-sphinx10


Note You need to log in before you can comment on or make changes to this bug.